org.apache.lucene.queryparser.surround.query

## Interface SimpleTerm.MatchingTermVisitor

- Enclosing class:
    SimpleTerm

      public static interface SimpleTerm.MatchingTermVisitor

  Callback to visit each matching term during "rewrite" in `visitMatchingTerm(Term)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visitMatchingTerm(Term t)`

- - ### Method Detail

    - #### visitMatchingTerm

          void visitMatchingTerm(Term t)
                                 throws IOException

      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.